#### D.16.1.4 maximalGroebnerCone

`Syntax:`
  `maximalGroebnerCone(` poly g `)`
  `maximalGroebnerCone(` ideal I `)`
`Assume:`
  I reduced standard basis
`Type:`
  cone
`Purpose:`
  the euklidean closure of all weight vectors with respect to whom the initial form of g equals its leading term or the initial ideal of I equals its leading ideal.
`Example:`

      LIB "gfanlib.so";
      ring r = 0,(x,y),dp;
      poly g = x+y+1;
      cone C = maximalGroebnerCone(g);
      rays(C);
      ==> 0,-1,
      ==> 1, 1
      generatorsOfLinealitySpace(C);
      ==>

      ideal I = x2-y3,x3-y2-x;
      I = std(I);
      C = maximalGroebnerCone(I);
      rays(C);
      ==> 3,2,
      ==> 2,3
      generatorsOfLinealitySpace(C);
      ==>

User manual for Singular version 4-0-3, 2016, generated by texi2html.